package com.schoolinout.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.schoolinout.system.domain.Clazz;
import com.schoolinout.system.domain.vo.OptionVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 班级管理Mapper接口
 *
 * @author sakura
 * @date 2024-01-03
 */
@Mapper
public interface ClazzMapper extends BaseMapper<Clazz> {
    /**
     * 查询班级管理
     *
     * @param id 班级管理主键
     * @return 班级管理
     */
    public Clazz selectClazzById(Long id);

    /**
     * 查询班级管理列表
     *
     * @param clazz 班级管理
     * @return 班级管理集合
     */
    public List<Clazz> selectClazzList(Clazz clazz);

    /**
     * 新增班级管理
     *
     * @param clazz 班级管理
     * @return 结果
     */
    public int insertClazz(Clazz clazz);

    /**
     * 修改班级管理
     *
     * @param clazz 班级管理
     * @return 结果
     */
    public int updateClazz(Clazz clazz);

    /**
     * 删除班级管理
     *
     * @param id 班级管理主键
     * @return 结果
     */
    public int deleteClazzById(Long id);

    /**
     * 批量删除班级管理
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteClazzByIds(Long[] ids);

    List<OptionVo> selectClazzOptionBySchoolId(Long schoolId);

    Clazz selectClazzByIdAndSchoolId(@Param("classId") Long classId, @Param("schoolId") Long schoolId);
}
